TrueMirror_Register = {};
TrueMirror_Register.isLoaded = true;
TrueMirror_Register.g_currentModDirectory = g_currentModDirectory;

if SpecializationUtil.specializations["TrueMirror"] == nil then
	SpecializationUtil.registerSpecialization("TrueMirror", "TrueMirror", g_currentModDirectory.."TrueMirror.lua")
	TrueMirror_Register.isLoaded = false;
end;

function TrueMirror_Register:loadMap(name)
  if not TrueMirror_Register.isLoaded then	
		TrueMirror_Register:add();
    TrueMirror_Register.isLoaded = true;
  end;
end

function TrueMirror_Register:add()
	print("--- loading TrueMirror v0.9 beta - specialization for TrueMirror by Mogli");
		
	for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
		if v ~= nil then
			 local allowInsertion = true;

			for i = 1, table.maxn(v.specializations) do
				local vs = v.specializations[i];
				if vs ~= nil and vs == SpecializationUtil.getSpecialization("steerable") then
					local v_name_string = v.name 
					local point_location = string.find(v_name_string, ".", nil, true)
					if point_location ~= nil then
						local _name = string.sub(v_name_string, 1, point_location-1);
						if rawget(SpecializationUtil.specializations, string.format("%s.TrueMirror", _name)) ~= nil then
							allowInsertion = false;
							-- print(tostring(v.name)..": Specialization TrueMirror is present! TrueMirror was not inserted!");
						end;													
					end;
					if allowInsertion then
						-- print("adding TrueMirror to:"..tostring(v.name));
						table.insert(v.specializations, SpecializationUtil.getSpecialization("TrueMirror"));
					end;						
				end;
			end;
		end;	
	end;

	-- make l10n global 
	TrueMirror_Register.addText("TrueMirror"       );
	TrueMirror_Register.addText("TrueMirror_fwd"   );
	TrueMirror_Register.addText("TrueMirror_back"  );
	TrueMirror_Register.addText("TrueMirror_in"    );
	TrueMirror_Register.addText("TrueMirror_out"   );
	TrueMirror_Register.addText("TrueMirror_left"  );
	TrueMirror_Register.addText("TrueMirror_right" );
	TrueMirror_Register.addText("TrueMirror_rdown" );
	TrueMirror_Register.addText("TrueMirror_rup"   );
	TrueMirror_Register.addText("TrueMirror_mdown" );
	TrueMirror_Register.addText("TrueMirror_mup"   );
	TrueMirror_Register.addText("TrueMirror_big"   );
	TrueMirror_Register.addText("TrueMirror_small" );
	TrueMirror_Register.addText("TrueMirror_on"	   );
	TrueMirror_Register.addText("TrueMirror_off"	 );
	
end;

function TrueMirror_Register.addText(id)
	g_i18n.globalI18N.texts[id]  = g_i18n:getText(id);
end

function TrueMirror_Register:deleteMap()
  
end;

function TrueMirror_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function TrueMirror_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function TrueMirror_Register:update(dt)
	
end;

function TrueMirror_Register:draw()
  
end;

addModEventListener(TrueMirror_Register);